<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Modificator;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\Abstraction\Condition;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Fields\Abstraction\Field;
use WC_Product;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\ConditionalLogic\Conditions\Abstraction\ConditionWithValue;
/**
 *
 * @package WPDesk\Library\DropshippingExport\Modificator
 */
interface ValueModificator
{
    public static function get_name(): string;
    public static function get_nice_name(): string;
    public function set_parameter($value);
    public function get_modified_value($value);
}
